Mac trunk builds


Problems running or configuring the software, commands & options, compiling, different platforms, using the interface, documentation, etc.

Mines Malingerer

Posts: 44

Joined: Sunday, 13th March 2011, 18:49

Post Monday, 28th March 2011, 05:50

Mac trunk builds

Does anyone know why the mac trunk builds are usually a week or two behind the windows builds? Please don't read this as a complaint of any kind, by the way, I'm just curious. A while ago, I tried compiling a git clone with Xcode, but ran into some trouble, so I've been just downloading trunk whenever it updates, and just wondered why the windows versions get updated more often.

Mines Malingerer

Posts: 44

Joined: Sunday, 13th March 2011, 18:49

Post Wednesday, 13th April 2011, 22:00

Re: Mac trunk builds

Well, I finally got trunk to compile on my mac, so I thought I'd share what I had to do to get it working, in case anyone else is having trouble.

I'm running the latest Snow Leopard (10.6.7) and it doesn't have the older SDKs that the crawl build process assumes exist. I couldn't get it to compile in Xcode at all, I tried changing the Mac SDKs to the latest, but still got tons of compile errors (especially with the SDL_Image library) that I wasn't able to resolve (though I'm not very familiar with Xcode so I might be missing something simple).

So, to get it to compile from the command-line, I had to modify the makefile a little. My "uname -m" reports i386, but I could only get it to work by forcing ARCH to x86_64. Also, I had to change the SDK_VER variable to be 10.6, since I don't have 10.5 or 10.4 installed.

After that, building is as simple as pulling the latest from git, cd-ing into crawl-ref/source, and running "make wizard TILES=YES mac-app-tiles". That builds an app bundle in crawl-ref/source/build/app-bundle-stage (and a zip file of it in crawl-ref/source/mac-app-zips).

Hope that helps anyone else who has been trying to get trunk working.

Dungeon Dilettante

Posts: 2

Joined: Sunday, 9th January 2011, 23:48

Post Sunday, 17th April 2011, 18:58

Re: Mac trunk builds

The last trunk version I was able to open on my Mac was 0.8.0-a0-4469-gd50b30d. Nothing I've downloaded since then, including the 0.8.0 prerelease, will open. "You cannot open the application "Dungeon Crawl Stone Soup-1" because it may be damaged or incomplete." Any idea what I may be doing wrong? I'm still on Leopard 10.4.11, if that means anything.

Halls Hopper

Posts: 64

Joined: Thursday, 10th March 2011, 11:51

Post Sunday, 17th April 2011, 21:26

Re: Mac trunk builds

I havent tried playing 0.8.0 prerelease, but 0.9.0 new trunk build works for me. If it doesn't work for you you might try deleting your application support folder for DCSS so that the application can recreate it.

Abyss Ambulator

Posts: 1221

Joined: Thursday, 10th March 2011, 19:45

Post Monday, 18th April 2011, 21:50

Re: Mac trunk builds

I am finding exactly the same thing (0.9 trunk will not open as it says it may be damaged or incomplete.) Deleting the Application Support folder does not make any difference.
User avatar

Vaults Vanquisher

Posts: 482

Joined: Thursday, 16th December 2010, 21:08

Location: Savannah, Ga.

Post Monday, 18th April 2011, 22:34

Re: Mac trunk builds

The "Dungeon Crawl Stone Soup" folder I got in the 0.9 build is in itself another folder.. you need to 'show package contents', then go into the MacOs folder to find the program you can then run.
  Code:
Jory screams, "No, no!" before exploding into a cloud of blood!

Return to Technical Support

Who is online

Users browsing this forum: No registered users and 0 guests

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.